Commit f3dc7731 authored by Javier Jardón's avatar Javier Jardón Committed by Chris Kühl

Update autotools configuration

Replace deprecated autoconf macros and use new libtool syntax.
Also use silent rules to silence the compilation output a bit

https://bugzilla.gnome.org/show_bug.cgi?id=643686
parent a72f7bc9
## Process this file with automake to produce Makefile.in
ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
SUBDIRS = pixmaps po src help
......
......@@ -4,7 +4,7 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
PKG_NAME="the package."
PKG_NAME="gnome-system-monitor"
(test -f $srcdir/configure.ac) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
......@@ -13,9 +13,8 @@ PKG_NAME="the package."
}
which gnome-autogen.sh || {
echo "You need to install gnome-common from the GNOME CVS"
echo "You need to install gnome-common package"
exit 1
}
REQUIRED_AUTOMAKE_VERSION=1.9
USE_COMMON_DOC_BUILD=yes
. gnome-autogen.sh
dnl Process this file with autoconf to produce a configure script.
AC_PREREQ(2.52)
AC_PREREQ([2.63])
AC_INIT([gnome-system-monitor], [2.99.1],
[http://bugzilla.gnome.org/enter_bug.cgi?product=system-monitor])
AC_CONFIG_SRCDIR(configure.ac)
AC_CONFIG_HEADERS(config.h)
AC_INIT([gnome-system-monitor],
[2.99.1],
[http://bugzilla.gnome.org/enter_bug.cgi?product=system-monitor],
[gnome-system-monitor])
AM_INIT_AUTOMAKE
AC_SUBST(ACLOCAL_AMFLAGS, [\${ACLOCAL_FLAGS}])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_SRCDIR([configure.ac])
AC_CONFIG_MACRO_DIR([m4])
AM_PROG_LIBTOOL
AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-bzip2])
AM_SILENT_RULES([yes])
IT_PROG_INTLTOOL([0.35.0])
PKG_PROG_PKG_CONFIG([0.19])
AC_ISC_POSIX
# Check For programs
AC_PROG_CC
AC_PROG_CXX
AC_LANG_CPLUSPLUS
AC_LANG([C++])
AC_LANG_COMPILER_REQUIRE
AM_PROG_CC_STDC
AC_HEADER_STDC
GNOME_COMPILE_WARNINGS
# Initialize libtool
LT_PREREQ([2.2])
LT_INIT
# Package dependencies
GLIB_REQUIRED=2.28.0
LIBWNCK_REQUIRED=2.91.0
LIBGTOP_REQUIRED=2.28.2
......@@ -37,9 +38,11 @@ RSVG_REQUIRED=2.12
PKG_CHECK_MODULES(PROCMAN, glib-2.0 >= $GLIB_REQUIRED libgtop-2.0 >= $LIBGTOP_REQUIRED libwnck-3.0 >= $LIBWNCK_REQUIRED gtk+-3.0 >= $GTK_REQUIRED gnome-icon-theme >= $GNOME_ICON_THEME_REQUIRED gtkmm-3.0 >= $GTKMM_REQUIRED libxml-2.0 >= $LIBXML_REQUIRED librsvg-2.0 >= $RSVG_REQUIRED glibmm-2.4 >= $GLIBMM_REQUIRED giomm-2.4 >= $GIOMM_REQUIRED)
# Compiler warnings
GNOME_COMPILE_WARNINGS([maximum])
AC_ARG_ENABLE(more-warnings,
[AC_HELP_STRING([--enable-more-warnings], [Maximum compiler warnings])],
[AS_HELP_STRING([--enable-more-warnings],[Maximum compiler warnings])],
set_more_warnings="$enableval",[
set_more_warnings=yes
])
......@@ -64,16 +67,20 @@ dnl CXXFLAGS="-fvisibility-inlines-hidden $CXXFLAGS"
GLIB_GSETTINGS
# i18n stuff
IT_PROG_INTLTOOL([0.41.0])
GETTEXT_PACKAGE=gnome-system-monitor
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE",
[The gettext catalog name])
AM_GLIB_GNU_GETTEXT
GNOME_DOC_INIT
dnl Set PACKAGE_LOCALE_DIR in config.h.
GLIB_DEFINE_LOCALEDIR(PACKAGE_LOCALE_DIR)
# Documentation
GNOME_DOC_INIT([0.20])
AC_CONFIG_FILES([
Makefile
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment